Large plant queries cause Out of Memory error
Description

An unrefined plant query that results in the system tring to large numbers of
plant is both slow and memory hungry ( even resulting in the jvm consuming all
its memory resources ).

This could be solved in a number of ways:

1. Have a google type interface thus limiting the display to some limited number
of plants ( 10, 50, 1007?).

2. Move away from the xml/xsl pathway, populating a jsp or creating html on the
fly from JDBC resultset ( or some simple java object like PlantsSummary).

3. Both.

History

#1 - 11/22/2003 12:38 AM - Michael Lee

not sure why this bug is mine.

#2 - 04/08/2004 03:30 PM - Gabriel Farrell

This is less severe now that users cannot search using the dreaded empty
string ... which returns all plants. ( they could still do this with
plantname="%" query unfortunately but then they are being malicious ).
So we still need the pagination to really clear this up.

| suggest using the postgresql offset limit functions to achieve this.

#3 - 11/08/2004 07:49 PM - Michael Lee

this is an old bug, now solved by the perPage style views
#4 - 01/31/2005 02:53 PM - Michael Lee
changed from components that are to be deleted to "misc" so that bugs don't get

deleted with component. Sorry for all the email.

#5 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1121
